Bug 240663 - audio/bsequencer-lv2: fix build on GCC architectures
Summary: audio/bsequencer-lv2: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 09:11 UTC by Piotr Kubaj
Modified: 2019-09-21 16:07 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (810 bytes, patch)
2019-09-18 09:11 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-18 09:11:40 UTC
Created attachment 207599 [details]
patch

src/ButtonBox.hpp needs include sys/types.h for uint.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-09-19 21:41:58 UTC
Approved as mentor.
Comment 2 commit-hook freebsd_committer 2019-09-21 16:07:23 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Sep 21 16:06:24 UTC 2019
New revision: 512520
URL: https://svnweb.freebsd.org/changeset/ports/512520

Log:
  audio/bsequencer-lv2: fix build on GCC architectures

  src/ButtonBox.hpp needs include sys/types.h for uint.

  PR:		240663
  Approved by:	yuri (maintainer), linimon (mentor)
  Differential Revision:	https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240663

Changes:
  head/audio/bsequencer-lv2/files/patch-src_ButtonBox.hpp